Package org.eclipse.jdt.debug.ui.launchConfigurations

# Class JavaArgumentsTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab

All Implemented Interfaces:
  `org.eclipse.debug.core.IPrototypeAttributesLabelProvider`, `org.eclipse.debug.ui.ILaunchConfigurationTab`, `org.eclipse.debug.ui.ILaunchConfigurationTab2`

Direct Known Subclasses:
  `AppletArgumentsTab`

public class JavaArgumentsTab extends JavaLaunchTab
A launch configuration tab that displays and edits program arguments, VM arguments, and working directory launch configuration attributes.

This class may be instantiated.

Since:
  2.0
Restriction:
  This class is not intended to be sub-classed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`EMPTY_STRING`
`protected org.eclipse.swt.widgets.Label`
`fPrgmArgumentsLabel`
`protected org.eclipse.swt.widgets.Text`
`fPrgmArgumentsText`
`protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock`
`fVMArgumentsBlock`
`protected org.eclipse.debug.ui.WorkingDirectoryBlock`
`fWorkingDirectoryBlock`

## Constructor Summary

Constructors
Constructor
Description
`JavaArgumentsTab()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)`
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock`
`createVMArgsBlock()`
`protected org.eclipse.debug.ui.WorkingDirectoryBlock`
`createWorkingDirBlock()`
Creates a control to specify a working directory.
`void`
`deactivated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)`
`void`
`dispose()`
`protected String`
`getAttributeValueFrom(org.eclipse.swt.widgets.Text text)`
Returns the string in the text widget, or `null` if empty.
`String`
`getErrorMessage()`
`String`
`getId()`
`org.eclipse.swt.graphics.Image`
`getImage()`
`String`
`getMessage()`
`String`
`getName()`
`protected void`
`initializeAttributes()`
`void`
`initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`boolean`
`isValid(org.eclipse.debug.core.ILaunchConfiguration config)`
`void`
`performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`void`
`setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)`
Defaults are empty.
`protected void`
`setHelpContextId()`
Set the help context id for this launch config tab.
`void`
`setLaunchConfigurationDialog(org.eclipse.debug.ui.ILaunchConfigurationDialog dialog)`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

## Field Details

### fPrgmArgumentsLabel

protected org.eclipse.swt.widgets.Label fPrgmArgumentsLabel

### fPrgmArgumentsText

protected org.eclipse.swt.widgets.Text fPrgmArgumentsText

### fVMArgumentsBlock

protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock fVMArgumentsBlock

### fWorkingDirectoryBlock

protected org.eclipse.debug.ui.WorkingDirectoryBlock fWorkingDirectoryBlock

### EMPTY_STRING

protected static final String EMPTY_STRING

See Also:
  - Constant Field Values

## Constructor Details

### JavaArgumentsTab

public JavaArgumentsTab()

## Method Details

### createVMArgsBlock

protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock createVMArgsBlock()

### createWorkingDirBlock

protected org.eclipse.debug.ui.WorkingDirectoryBlock createWorkingDirBlock()
Creates a control to specify a working directory.

Returns:
  the new `WorkingDirectoryBlock`
Since:
  3.4

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

See Also:
  - `ILaunchConfigurationTab.createControl(Composite)`

### setHelpContextId

protected void setHelpContextId()
Set the help context id for this launch config tab. Subclasses may override this method.

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `dispose` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `ILaunchConfigurationTab.dispose()`

### isValid

public boolean isValid(org.eclipse.debug.core.ILaunchConfiguration config)

Specified by:
  `isValid` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `isValid` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `ILaunchConfigurationTab.isValid(ILaunchConfiguration)`

### setDefaults

public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)
Defaults are empty.

See Also:
  - `ILaunchConfigurationTab.setDefaults(ILaunchConfigurationWorkingCopy)`

### initializeFrom

public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)

Specified by:
  `initializeFrom` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `JavaLaunchTab`
See Also:
  - `ILaunchConfigurationTab.initializeFrom(ILaunchConfiguration)`

### performApply

public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

See Also:
  - `ILaunchConfigurationTab.performApply(ILaunchConfigurationWorkingCopy)`

### getAttributeValueFrom

protected String getAttributeValueFrom(org.eclipse.swt.widgets.Text text)
Returns the string in the text widget, or `null` if empty.

Parameters:
  `text` - the widget to get the value from
Returns:
  text or `null`

### getName

public String getName()

See Also:
  - `ILaunchConfigurationTab.getName()`

### setLaunchConfigurationDialog

public void setLaunchConfigurationDialog(org.eclipse.debug.ui.ILaunchConfigurationDialog dialog)

Specified by:
  `setLaunchConfigurationDialog` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `setLaunchConfigurationDialog` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `ILaunchConfigurationTab.setLaunchConfigurationDialog(ILaunchConfigurationDialog)`

### getErrorMessage

public String getErrorMessage()

Specified by:
  `getErrorMessage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `getErrorMessage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `ILaunchConfigurationTab.getErrorMessage()`

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `getMessage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `ILaunchConfigurationTab.getMessage()`

### getImage

public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `ILaunchConfigurationTab.getImage()`

### getId

public String getId()

Overrides:
  `getId` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  - `AbstractLaunchConfigurationTab.getId()`

### activated

public void activated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `activated` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `activated` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### deactivated

public void deactivated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `deactivated` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `deactivated` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### initializeAttributes

protected void initializeAttributes()

Overrides:
  `initializeAttributes` in class `JavaLaunchTab`